using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace TelerikTest.Models
{
    public class Person
    {
        public int Id { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }

        [DataType(DataType.Date)]
        public DateTime Birthdate { get; set; }

        public static List<Person> GetData()
        {
            return new List<Person>
            {
                new Person { Id = 1, FirstName = "Robert", LastName = "de Niro", Birthdate = new DateTime( 1943, 8, 17 ) },
                new Person { Id = 2, FirstName = "Al", LastName = "Pacino", Birthdate = new DateTime( 1940, 4, 25 ) },
                new Person { Id = 3, FirstName = "Martin", LastName = "Scorsese", Birthdate = new DateTime( 1942, 11, 17 ) },
            };
        }
    }
}